"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RequestTimeoutError = void 0;
const core_1 = require("@typescript-error/core");
const base_1 = require("../base");
class RequestTimeoutError extends base_1.ClientError {
    constructor(data, options) {
        options = (0, core_1.setUnsetErrorOptions)((0, core_1.buildErrorOptions)(data, options), {
            code: `REQUEST_TIMEOUT`,
            statusCode: 408,
            decorateMessage: false,
            logMessage: false
        });
        let message = (0, core_1.determineErrorMessage)(data, options);
        if (!message) {
            message = `Request Timeout`;
        }
        super(message, options);
    }
}
exports.RequestTimeoutError = RequestTimeoutError;
//# sourceMappingURL=408-request-timeout.js.map