"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FailedDependencyError = void 0;
const core_1 = require("@typescript-error/core");
const base_1 = require("../base");
class FailedDependencyError extends base_1.ClientError {
    constructor(data, options) {
        options = (0, core_1.setUnsetErrorOptions)((0, core_1.buildErrorOptions)(data, options), {
            code: `FAILED_DEPENDENCY`,
            statusCode: 424,
            decorateMessage: false,
            logMessage: false
        });
        let message = (0, core_1.determineErrorMessage)(data, options);
        if (!message) {
            message = `Failed Dependency`;
        }
        super(message, options);
    }
}
exports.FailedDependencyError = FailedDependencyError;
//# sourceMappingURL=424-failed-dependency.js.map