"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BlockedByWindowsParentalControlsError = void 0;
const core_1 = require("@typescript-error/core");
const base_1 = require("../base");
class BlockedByWindowsParentalControlsError extends base_1.ClientError {
    constructor(data, options) {
        options = (0, core_1.setUnsetErrorOptions)((0, core_1.buildErrorOptions)(data, options), {
            code: `BLOCKED_BY_WINDOWS_PARENTAL_CONTROLS`,
            statusCode: 450,
            decorateMessage: false,
            logMessage: false
        });
        let message = (0, core_1.determineErrorMessage)(data, options);
        if (!message) {
            message = `Blocked By Windows Parental Controls`;
        }
        super(message, options);
    }
}
exports.BlockedByWindowsParentalControlsError = BlockedByWindowsParentalControlsError;
//# sourceMappingURL=450-blocked-by-windows-parental-controls.js.map