"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.InternalServerError = void 0;
const core_1 = require("@typescript-error/core");
const base_1 = require("../base");
class InternalServerError extends base_1.ServerError {
    constructor(data, options) {
        options = (0, core_1.setUnsetErrorOptions)((0, core_1.buildErrorOptions)(data, options), {
            code: `INTERNAL_SERVER_ERROR`,
            statusCode: 500,
            decorateMessage: true,
            logMessage: true
        });
        let message = (0, core_1.determineErrorMessage)(data, options);
        if (!message) {
            message = `Internal Server Error`;
        }
        super(message, options);
    }
}
exports.InternalServerError = InternalServerError;
//# sourceMappingURL=500-internal-server-error.js.map