"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LoopDetectedError = void 0;
const core_1 = require("@typescript-error/core");
const base_1 = require("../base");
class LoopDetectedError extends base_1.ServerError {
    constructor(data, options) {
        options = (0, core_1.setUnsetErrorOptions)((0, core_1.buildErrorOptions)(data, options), {
            code: `LOOP_DETECTED`,
            statusCode: 508,
            decorateMessage: true,
            logMessage: true
        });
        let message = (0, core_1.determineErrorMessage)(data, options);
        if (!message) {
            message = `Loop Detected`;
        }
        super(message, options);
    }
}
exports.LoopDetectedError = LoopDetectedError;
//# sourceMappingURL=508-loop-detected.js.map